Commit cafc5cad authored by Vitaly Lipatov's avatar Vitaly Lipatov

misc changes

parent 0d8ffd58
......@@ -4,7 +4,7 @@
. `dirname $0`/../share/eterbuild/functions/common
load_mod git
if [ "$1" = "-h" ] ; then
if [ "$1" = "-h" ] || [ "$1" = "--help" ] ; then
echo "gpull - do git pull --rebase"
echo "Use: gpull [-a] [-n] [repo] [branch]"
echo " gpull without parameters or with branch name"
......
......@@ -15,7 +15,7 @@ if is_girar_name $1 ; then
shift
fi
if [ "$1" = "-h" ] ; then
if [ "$1" = "-h" ] || [ "$1" = "--help" ] ; then
echo "gpush - publish current project repo remote git repo"
echo "Use: gpush [GIRAR] [-f|--force] [-a|--all] [-t|--tags] [target branch]"
exit 1
......
......@@ -69,7 +69,7 @@ mygetopts $LISTARGS
# export OURAPTCONF with temp. file contains correct path to sources.list
prepare_aptconfig
HASHERARG="$HASHERARG --apt-config=$OURAPTCONF --target $DEFAULTARCH"
HASHERARG="$HASHERARG --apt-config=$OURAPTCONF --target $DEFAULTARCH --with-stuff"
set_hasherdir
if [ -n "$TESTMODE" ] || [ -n "$AUTOMODE" ] ; then
......
......@@ -10,6 +10,8 @@
. `dirname $0`/../share/eterbuild/functions/common
load_mod hasher
WITHSTUFF="--with-stuff"
#############################
Usage="Usage: $name [-m -s -u -i -c -l] src.rpm..."
function mygetopts()
......@@ -23,7 +25,7 @@ phelp()
echog "$Usage"
echog "Options:"
echog " -i - install built packages in test hasher"
echog " -c - build without stuff (previous built packages)"
echog " -c - build without stuff (without previous built packages)"
echog " -l - lazy cleanup (before build, not after)"
}
......@@ -33,7 +35,7 @@ while getopts :hmicl opt; do
h) phelp; exit 0;;
i) TESTINSTALL=1;;
l) HASHERARG="$HASHERARG --lazy-cleanup";;
c) HASHERARG="$HASHERARG --without-stuff";;
c) WITHSTUFF="--without-stuff";;
+?) echog "$name: options should not be preceded by a '+'." 1>&2; exit 2;;
# ?) echog "$name: $OPTARG: bad option. Use -h for help." 1>&2 ; exit 2;;
?) OPTIND=$((OPTIND-1)); break;
......@@ -54,6 +56,7 @@ mygetopts $LISTARGS
RESULT=0
HASHERARG="$HASHERARG $WITHSTUFF"
set_hasherdir
mkdir -p $LOGDIR $HASHERDIR || fatal "cannot mkdir"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment